import { EventEmitter, OnInit } from '@angular/core';
import { SASjsConfig } from '@sasjs/adapter';
import { SASjsRequestExtended } from './models/sasjs-request.model';
import { NgxSasjsService } from '../ngx-sasjs.service';
import * as i0 from "@angular/core";
export declare class SasjsLogsComponent implements OnInit {
    private ngxSasjsService;
    private _show;
    private _sasjsRequests;
    defaultDownloadBehaviour: boolean;
    set show(value: boolean);
    set sasjsRequests(value: SASjsRequestExtended[]);
    get show(): boolean;
    get sasjsRequests(): SASjsRequestExtended[];
    sasjsConfig: SASjsConfig | undefined;
    showChange: EventEmitter<any>;
    onDownloadLog: EventEmitter<string>;
    onDownloadSourceCode: EventEmitter<string>;
    onDownloadGeneratedCode: EventEmitter<string>;
    sasLogActive: boolean;
    sasSourceCodeActive: boolean;
    sasGeneratedCodeActive: boolean;
    tablesActive: boolean;
    workTables: any;
    constructor(ngxSasjsService: NgxSasjsService);
    ngOnInit(): void;
    parseLogTimestamp(timestamp: any): string;
    cutAppLoc(link: string): string;
    formatTimestamp(timestamp: any): any;
    timestampFromNow(timestamp: any): string;
    modalShowChange(state: any): void;
    sasjsReqestsChanged(): void;
    goToLogLine(linkingLine: string, requestStackId: string, type: string): void;
    parseErrorsAndWarnings(req: any): Promise<void>;
    downloadLog(logFile: string): void;
    downloadSourceCode(sourceCode: string): void;
    downloadGeneratedCode(generatedCode: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SasjsLogsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SasjsLogsComponent, "sasjs-logs", never, { "defaultDownloadBehaviour": "defaultDownloadBehaviour"; "show": "show"; "sasjsRequests": "sasjsRequests"; "sasjsConfig": "sasjsConfig"; }, { "showChange": "showChange"; "onDownloadLog": "onDownloadLog"; "onDownloadSourceCode": "onDownloadSourceCode"; "onDownloadGeneratedCode": "onDownloadGeneratedCode"; }, never, never, false>;
}
